View Issue Details

IDProjectCategoryView StatusLast Update
0003965ScribusNLSpublic2020-04-27 08:42
Reportermhanski Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003965: Metabug: Support for non-latin languages
DescriptionIssues with respect to non-latin languages

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to this metabug, please click on the "Monitor Issue" button
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs

See also this Scribus Wiki article: http://wiki.scribus.net/index.php/Complex_Script_Functionality

Update: Please see http://lists.scribus.net/pipermail/scribus-dev/2015-May/002519.html for renewed effort to implement CTL in to Scribus
TagsNo tags attached.
PatchNo

Relationships

parent of 0003928 closedFahad Support line breaking for Thai text 
parent of 0002920 closedFahad Khmer script is rendered wrong 
parent of 0002756 closedfschmid Hebrew letters don't print correctly from scribus 
parent of 0001547 closedFahad Support for Indic Scripts 
parent of 0003680 closedFahad Devanagari (Unicode U+09xx) glyph formation (vowels and conjunct consonants) not proper 
parent of 0001079 closedFahad Arabic is not supported in Scribus yet. 
parent of 0001726 closedFahad hebrew vowels (and cantillation marks) not placed properly 
parent of 0002834 closedFahad Urdu is displayed Left to Right with Nafees Nastaleeq font 
parent of 0001364 closedFahad Hebrew script direction is different in the document and in the story editor 
parent of 0003173 closed Japanese (CJK) text in story editor is not entered into text frame. Frequent crashes. 
parent of 0004452 closedFahad No support for Tibetan Script 
parent of 0005271 closedavox RTL text display 
parent of 0005270 closedplinnell Hebrew RTL text 
parent of 0005479 closedplinnell Scribus does not support Khmer language 
parent of 0005937 confirmed Lao line wrapping and hyphenization 
parent of 0006004 closedFahad wishlist: set default Text Area's content direction to rtl 
parent of 0006014 closedFahad unable to select hebrew text in text area 
parent of 0006013 closedFahad hebrew numbers are displaied backwards when text is displaied 
parent of 0006017 closedjghali when loading hebrew translation, ui (menus) should be justified to the right 
parent of 0006016 closedcbradney hebrew language is missing from text are properties dialog 
parent of 0001778 assignedavox Support vertical text (Japanese, etc) 
parent of 0007610 acknowledgedpierremarchand Support for ruby characters (Furigana) 
parent of 0009911 closedFahad RL text direction no work 
parent of 0006005 closedFahad preview of Hebrew text in Font Preview dialog is displayed backwards (reverse) 
parent of 0002762 closedFahad Unable to set text justification for RTL text 
parent of 0012289 closedFahad Diacritics are not positioned correctly in Lao OpenType fonts 
parent of 0009601 feedback (RFEs) wordwrap problem for Korea (and east Asia) 
parent of 0013612 confirmed No input method preedit when one inputs CJ text directly into a text frame 
parent of 0008987 confirmed Word-wrapping CJK fonts malfunction 
parent of 0008644 acknowledged Double line in one single line in CJK text 
parent of 0013839 new RTL: Main Window layout formatting is off 
parent of 0013843 closedcbradney RTL: Splash Screen dynamic text conflict with graphic 
parent of 0013849 new Vertical Script: traditional mongolian/uyghur 
parent of 0006033 assignedsubik Short Words not displaying Vietnamese Dong symbole 
parent of 0016097 new Negative first line indent not working for right-to-left text 
related to 0005514 closedcbradney Broken display of cyrrillic letters in splash screen messages 
related to 0006689 closedFahad Parentheses inversion when I'm import hebrew text 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-07-02 21:55 mhanski New Issue
2006-07-02 21:55 mhanski Relationship added parent of 0003928
2006-07-02 21:56 mhanski Relationship added parent of 0002920
2006-07-02 21:57 mhanski Relationship added parent of 0002756
2006-07-02 21:58 mhanski Relationship added parent of 0001547
2006-07-02 21:58 mhanski Relationship added parent of 0003680
2006-07-02 21:59 mhanski Relationship added parent of 0001079
2006-07-02 22:00 mhanski Relationship added parent of 0001726
2006-07-02 22:01 mhanski Relationship added parent of 0002834
2006-07-02 22:01 mhanski Relationship added parent of 0001364
2006-07-02 22:10 mhanski Additional Information Updated
2006-07-03 07:55 mhanski Description Updated
2006-07-10 09:25 mhanski Relationship added parent of 0003173
2006-10-25 07:15 mhanski Status new => acknowledged
2006-10-27 13:48 mhanski Relationship added parent of 0004452
2006-10-27 20:24 mhanski Additional Information Updated
2006-11-08 10:10 mhanski Relationship added related to 0004502
2006-11-12 00:22 plinnell Relationship deleted related to 0004502
2007-01-04 09:09 cbradney Category General => NLS
2007-01-30 21:28 mhanski Relationship added child of 0005270
2007-01-30 21:29 mhanski Relationship added parent of 0005271
2007-01-30 21:30 mhanski Relationship deleted child of 0005270
2007-01-30 21:31 mhanski Relationship added parent of 0005270
2007-03-23 07:40 mhanski Relationship added parent of 0005479
2007-04-04 05:46 mhanski Relationship added related to 0005514
2007-06-22 12:21 jghali Relationship added parent of 0005937
2007-07-17 15:53 plinnell Relationship added parent of 0006004
2007-07-21 13:31 mhanski Relationship added parent of 0006014
2007-07-21 13:31 mhanski Relationship added parent of 0006013
2007-07-21 14:00 mhanski Relationship added parent of 0006017
2007-07-21 14:01 mhanski Relationship added parent of 0006016
2007-08-29 19:50 mhanski Relationship added parent of 0001778
2008-12-10 16:20 mhanski Issue cloned: 0007647
2009-05-11 03:25 jghali Relationship added parent of 0007610
2014-07-09 15:52 Kunda Relationship added parent of 0009911
2014-07-09 15:59 Kunda Relationship added parent of 0006005
2014-07-14 20:30 Kunda Relationship added parent of 0002762
2014-07-14 21:00 Kunda Relationship added related to 0006689
2015-05-19 17:04 Kunda Patch => No
2015-05-19 17:04 Kunda Additional Information Updated View Revisions
2015-05-19 17:56 Kunda Relationship added parent of 0012289
2015-09-09 11:52 Kunda Relationship added parent of 0009601
2016-01-23 21:35 Kunda Relationship added related to 0013612
2016-01-23 21:35 Kunda Relationship replaced parent of 0013612
2016-01-23 21:48 Kunda Relationship added parent of 0008987
2016-01-23 21:52 Kunda Relationship added parent of 0008644
2016-03-22 23:49 Kunda Relationship added parent of 0013839
2016-03-24 13:12 Kunda Relationship added parent of 0013843
2016-03-24 21:53 Kunda Relationship added parent of 0013849
2016-03-27 17:24 Kunda Relationship added parent of 0006033
2020-04-27 08:42 ale Relationship added parent of 0016097